Bug 619975 - [abrt] crash in translate-toolkit-1.7.0-2.fc13: oo2po.py:106:verifyoptions:ValueError: You must specify the target language unless generating POT files (-P)
Summary: [abrt] crash in translate-toolkit-1.7.0-2.fc13: oo2po.py:106:verifyoptions:Va...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: translate-toolkit (Show other bugs)
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
low
Target Milestone: ---
Assignee: Dwayne Bailey
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:50b8a54b
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-31 02:48 UTC by A S Alam
Modified: 2013-07-03 01:03 UTC (History)
4 users (show)

Fixed In Version: translate-toolkit-1.8.0-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-31 06:35:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.25 KB, text/plain)
2010-07-31 02:48 UTC, A S Alam
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Translation Project 1420 None None None Never

Description A S Alam 2010-07-31 02:48:37 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/oo2po full_DEV300_m84_2010-06-30_11-50-31.sdf
component: translate-toolkit
executable: /usr/bin/oo2po
kernel: 2.6.33.6-147.2.4.fc13.x86_64
package: translate-toolkit-1.7.0-2.fc13
reason: oo2po.py:106:verifyoptions:ValueError: You must specify the target language unless generating POT files (-P)
release: Fedora release 13 (Goddard)

backtrace
-----
oo2po.py:106:verifyoptions:ValueError: You must specify the target language unless generating POT files (-P)

Traceback (most recent call last):
  File "/usr/bin/oo2po", line 27, in <module>
    oo2po.main()
  File "/usr/lib/python2.6/site-packages/translate/convert/oo2po.py", line 151, in main
    parser.run(argv)
  File "/usr/lib/python2.6/site-packages/translate/convert/convert.py", line 129, in run
    self.verifyoptions(options)
  File "/usr/lib/python2.6/site-packages/translate/convert/oo2po.py", line 106, in verifyoptions
    raise ValueError("You must specify the target language unless generating POT files (-P)")
ValueError: You must specify the target language unless generating POT files (-P)

Local variables in innermost frame:
options: <Values at 0x17f85a8: {'outputoptions': {('sdf', None): ('po', <function convertoo at 0x179b398>), ('oo', None): ('po', <function convertoo at 0x179b398>)}, 'manpage': False, 'input': 'full_DEV300_m84_2010-06-30_11-50-31.sdf', 'errorlevel': 'message', 'sourcelanguage': None, 'duplicatestyle': 'msgctxt', 'pot': False, 'multifilestyle': 'single', 'output': None, 'inputformats': ['oo', 'sdf'], 'progress': 'bar', 'allowrecursiveinput': True, 'exclude': ['CVS', '.svn', '_darcs', '.git', '.hg', '.bzr'], 'targetlanguage': None}>

How to reproduce
-----
1. run oo2po on SDF file
2.
3.

Comment 1 A S Alam 2010-07-31 02:48:43 UTC
Created attachment 435717 [details]
File: backtrace

Comment 2 Dwayne Bailey 2010-08-01 18:56:52 UTC
Thanks for the report, I'll upstream this so that we don't create the traceback.  But the error is valid you need to run oo2po as follows


oo2po -P some.sdf pot

Or

oo2po --language=de some.sdf po/

Comment 3 Dwayne Bailey 2010-08-02 00:39:32 UTC
Reported upstream http://bugs.locamotion.org/show_bug.cgi?id=1572

Comment 4 Fedora Update System 2010-08-18 05:35:23 UTC
translate-toolkit-1.8.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/translate-toolkit-1.8.0-1.fc13

Comment 5 Fedora Update System 2010-08-20 01:59:37 UTC
translate-toolkit-1.8.0-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update translate-toolkit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/translate-toolkit-1.8.0-1.fc13

Comment 6 Fedora Update System 2010-08-31 06:35:26 UTC
translate-toolkit-1.8.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.